Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.util
Class HashMapUtils

    java.lang.Object
      org.apache.myfaces.shared_orchestra.util.HashMapUtils

    public class HashMapUtils

extends java.lang.Object

Version:
  $Revision: 472630 $ $Date: 2006-11-08 21:40:03 +0100 (Mi, 08 Nov 2006) $
Author:
  Anton Koinov (latest modification by $Author: grantsmith $)

Constructor Summary
`protected` | `HashMapUtils()`

Method Summary
`static int` | `calcCapacity(int size)` Calculates initial capacity needed to hold `size` elements in a HashMap or Hashtable without forcing an expensive increase in internal capacity.
`static java.lang.String` | `mapToString(java.util.Map map)` spit out each name/value pair
`static java.util.HashMap` | `merge(java.util.Map map1, java.util.Map map2)` Creates a new `HashMap` that has all of the elements of `map1` and `map2` (on key collision, the latter override the former).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashMapUtils

    protected HashMapUtils()

Method Detail

### calcCapacity

    public static final int calcCapacity(int size)

  Calculates initial capacity needed to hold `size` elements in a HashMap or Hashtable without forcing an expensive increase in internal capacity. Capacity is based on the default load factor of .75.

  Usage: `Map map = new HashMap(HashMapUtils.calcCapacity(10));```

  Parameters:
    `size` - the number of items that will be put into a HashMap
  Returns:
    initial capacity needed

### merge

    public static java.util.HashMap merge(java.util.Map map1,
                                          java.util.Map map2)

  Creates a new `HashMap` that has all of the elements of `map1` and `map2` (on key collision, the latter override the former).

  Parameters:
    `map1` - the fist hashmap to merge
    `map2` - the second hashmap to merge
  Returns:
    new hashmap

### mapToString

    public static java.lang.String mapToString(java.util.Map map)

  spit out each name/value pair

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.